Gecode::StatusStatistics Class Reference

Statistics for execution of status More...

`#include <core.hpp>`

## Public Member Functions

| StatusStatistics (void)
| Initialize.
void | reset (void)
| Reset information.
StatusStatistics | operator+ (const StatusStatistics &s)
| Return sum with s.
StatusStatistics & | operator+= (const StatusStatistics &s)
| Increment by statistics s.

## Public Attributes

unsigned long int | propagate
| Number of propagator executions.

## Detailed Description

Statistics for execution of status

Definition at line 1691 of file core.hpp.

## Constructor & Destructor Documentation

## StatusStatistics()

Gecode::StatusStatistics::StatusStatistics | ( | void |  | ) |

inline

Initialize.

Definition at line 4694 of file core.hpp.

## Member Function Documentation

## reset()

void Gecode::StatusStatistics::reset | ( | void |  | ) |

inline

Reset information.

Definition at line 4690 of file core.hpp.

## operator+()

StatusStatistics Gecode::StatusStatistics::operator+ | ( | const StatusStatistics & | s | ) |

inline

Return sum with s.

Definition at line 4703 of file core.hpp.

## operator+=()

StatusStatistics & Gecode::StatusStatistics::operator+= | ( | const StatusStatistics & | s | ) |

inline

Increment by statistics s.

Definition at line 4698 of file core.hpp.

## Member Data Documentation

## propagate

unsigned long int Gecode::StatusStatistics::propagate

Number of propagator executions.

Definition at line 1694 of file core.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/core.hpp